## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name spyder-kernels

Name:           python-%{pypi_name}
Version:        3.0.1
Release:        %autorelease
Epoch:          2
Summary:        Jupyter kernels for Spyder's console

%global forgeurl https://github.com/spyder-ide/spyder-kernels
%global tag v%{version_no_tilde %{quote:%nil}}
%forgemeta

# SPDX
License:        MIT
URL:            %forgeurl
Source0:        %forgesource
BuildArch:      noarch

BuildRequires:  python3-devel

%global _description %{expand:
Package that provides Jupyter kernels for use with the consoles of
Spyder, the Scientific Python Development Environment.

These kernels can launched either through Spyder itself or in an
independent Python session, and allow for interactive or file-based
execution of Python code inside Spyder.}

%description %_description


%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%forgesetup


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l spyder_kernels


%check
# Package doesn't provide any tests
%pyproject_check_import


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Tue Oct 29 2024 Packit <hello@packit.dev> - 2:3.0.1-1
- Update to 3.0.1 upstream release
- Resolves: rhbz#2322499

* Sat Sep 28 2024 Sandro <devel@penguinpee.nl> - 2:3.0.0-5
- Verify License: field is SPDX compliant

* Sat Sep 28 2024 Sandro <devel@penguinpee.nl> - 2:3.0.0-4
- Run import test

* Sat Sep 28 2024 Sandro <devel@penguinpee.nl> - 2:3.0.0-3
- Assert license file is present in dist-info

* Wed Sep 18 2024 Sandro <devel@penguinpee.nl> - 2:3.0.0-2
- Rebuild for bumped epoch

* Wed Sep 18 2024 Sandro <devel@penguinpee.nl> - 2:3.0.0-1
- Bump epoch to allow smooth upgrade

* Tue Sep 03 2024 Sandro <devel@penguinpee.nl> - 1:3.0.0-1
- Update to 3.0.0

* Wed Aug 21 2024 Packit <hello@packit.dev> - 1:3.0.0b9-1
- Update to 3.0.0b9 upstream release
- Resolves: rhbz#2306885

* Sat Aug 10 2024 Sandro <devel@penguinpee.nl> - 1:3.0.0~b8-1
- Update to 6.0.0b8

* Mon Jul 22 2024 Sandro <devel@penguinpee.nl> - 1:3.0.0~b7-1
- Update to 3.0.0b7

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:3.0.0~b5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 1:3.0.0~b5-2
- Rebuilt for Python 3.13

* Wed Apr 24 2024 Sandro <devel@penguinpee.nl> - 1:3.0.0~b5-1
- Update to 3.0.0b5

* Fri Mar 08 2024 Sandro <devel@penguinpee.nl> - 1:3.0.0~b4-1
- Update to 3.0.0b4

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:3.0.0~b2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:3.0.0~b2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Oct 08 2023 Sandro <devel@penguinpee.nl> - 1:3.0.0~b2-2
- Add Packit config

* Sun Oct 08 2023 Sandro <devel@penguinpee.nl> - 1:3.0.0~b2-1
- Update to 3.0.0b2 (RHBZ#2139556)

* Sat Sep 23 2023 Sandro <devel@penguinpee.nl> - 1:2.4.4-2
- Overhaul spec file
- Use forge macros
- Use Python RPM macros
- Remove sed scripts (they no longer apply)
- Update summary and description (follow upstream)
- Remove BuildRequires: and Requires: (auto generated)

* Mon Sep 04 2023 Sandro <devel@penguinpee.nl> - 1:2.4.4-1
- Update to 2.4.4 (RHBZ#2139556)

* Thu Jul 20 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1:2.3.3-3
- Rebuild for Python 3.12b4

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Aug 28 2022 Mukundan Ragavan <nonamedotc@gmail.com> - 1:2.3.3-1
- update to v2.3.3

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jul 11 2022 Mukundan Ragavan <nonamedotc@gmail.com> - 1:2.3.2-1
- update to v2.3.2

* Tue Jun 21 2022 Python Maint <python-maint@redhat.com> - 1:2.3.1-5
- Rebuilt for Python 3.11

* Sat May 28 2022 Mukundan Ragavan <nonamedotc@gmail.com> - 1:2.3.1-4
- fix issues with sed

* Sat May 28 2022 Mukundan Ragavan <nonamedotc@gmail.com> - 1:2.3.1-3
- sync ipython version requirement with spyder

* Sat May 28 2022 Mukundan Ragavan <nonamedotc@gmail.com> - 1:2.3.1-2
- relax jupyter-client version

* Sat May 28 2022 Mukundan Ragavan <nonamedotc@gmail.com> - 1:2.3.1-1
- update to v2.3.1

* Mon May 23 2022 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1:2.3.0-2
- Relax ipykernel dependency for now (bug 2070644)

* Thu Mar 31 2022 Mukundan Ragavan <nonamedotc@gmail.com> - 1:2.3.0-1
- Update to 2.3.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Jan 15 2022 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1:2.2.1-1
- Update to 2.2.1

* Sat Dec 11 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1:2.2.0-1
- Update to 2.2.0

* Sat Oct 02 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1:2.1.1-2
- relax jupyter-client version

* Sun Sep 05 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1:2.1.1-1
- Update to 2.1.1

* Sat Aug 14 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1:2.1.0-1
- Update to 2.1.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jun 17 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1:2.0.4-1
- Update to 2.0.4

* Sat Jun 05 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1:2.0.3-1
- Update to 2.0.3

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1:1.10.2-2
- Rebuilt for Python 3.10

* Mon Feb 22 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1:1.10.2-1
- Update to 1.10.2

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Dec 25 2020 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1:1.10.1-1
- Update to 1.10.1

* Fri Nov 27 2020 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1:1.10.0-1
- Update to 1.10.0

* Thu Sep 03 2020 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1:1.9.4-1
- Update to 1.9.4

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Jul 26 2020 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1:1.9.3-1
- Update to 1.9.3

* Fri Jul 10 2020 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1:1.9.2-1
- Update to 1.9.2

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1:1.9.1-2
- Rebuilt for Python 3.9

* Thu May 07 2020 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1.9.1-1
- Update to 1.9.1

* Wed Sep 18 2019 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.5.2-2
- Add wurlitzer as dependency

* Sun Sep 15 2019 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.5.2-1
- Update to 0.5.2

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1:0.2.4-6
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.2.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Oct 28 2018 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1:0.2.4-3
- Drop python2 version

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jul 10 2018 Mukundan Ragavan <nonamedotc@gmail.com> - 1:0.2.4-1
- version 0.2.4 (required for spyder 3.3.0)

* Sun Jul 08 2018 Mukundan Ragavan <nonamedotc@gmail.com> - 1.0.1-1
- Initial package for review

## END: Generated by rpmautospec
